searchNodes=[{"ref":"Dlex.html","title":"Dlex","type":"module","doc":"Dgraph driver for Elixir. This module handles the connection to Dgraph, providing pooling (via DBConnection), queries, mutations and transactions."},{"ref":"Dlex.html#alter/3","title":"Dlex.alter/3","type":"function","doc":"Alter dgraph schema Example iex&gt; Dlex.alter(conn, &quot;name: string @index(term) .&quot;) {:ok, &quot;&quot;}"},{"ref":"Dlex.html#alter!/3","title":"Dlex.alter!/3","type":"function","doc":"Alter dgraph schema"},{"ref":"Dlex.html#child_spec/1","title":"Dlex.child_spec/1","type":"function","doc":"Supervisor callback. For available options, see: start_link/1."},{"ref":"Dlex.html#delete/3","title":"Dlex.delete/3","type":"function","doc":"Send mutation to dgraph Options: return_json - if json with uids should be returned (default: false) Example of usage iex&gt; mutation = &quot; _:foo &lt;name&gt; &quot;Foo&quot; . _:foo &lt;owns&gt; _:bar . _:bar &lt;name&gt; &quot;Bar&quot; . &quot; iex&gt; Dlex.delete(conn, mutation) {:ok, %{&quot;bar&quot; =&gt; &quot;0xfe04c&quot;, &quot;foo&quot; =&gt; &quot;0xfe04b&quot;}} Using json iex&gt; json = %{&quot;name&quot; =&gt; &quot;Foo&quot;, &quot;owns&quot; =&gt; [%{&quot;name&quot; =&gt; &quot;Bar&quot;}]} Dlex.delete(conn, json) {:ok, %{&quot;blank-0&quot; =&gt; &quot;0xfe04d&quot;, &quot;blank-1&quot; =&gt; &quot;0xfe04e&quot;}} iex&gt; Dlex.delete(conn, json, return_json: true) {:ok, %{ &quot;name&quot; =&gt; &quot;Foo&quot;, &quot;owns&quot; =&gt; [%{&quot;name&quot; =&gt; &quot;Bar&quot;, &quot;uid&quot; =&gt; &quot;0xfe050&quot;}], &quot;uid&quot; =&gt; &quot;0xfe04f&quot; }}"},{"ref":"Dlex.html#delete!/3","title":"Dlex.delete!/3","type":"function","doc":"Runs a mutation with delete target and returns the result or raises Dlex.Error if there was an error. See delete/3."},{"ref":"Dlex.html#mutate/3","title":"Dlex.mutate/3","type":"function","doc":"Send mutation to dgraph Options: return_json - if json with uids should be returned (default: false) Example of usage iex&gt; mutation = &quot; _:foo &lt;name&gt; &quot;Foo&quot; . _:foo &lt;owns&gt; _:bar . _:bar &lt;name&gt; &quot;Bar&quot; . &quot; iex&gt; Dlex.mutate(conn, mutation) {:ok, %{&quot;bar&quot; =&gt; &quot;0xfe04c&quot;, &quot;foo&quot; =&gt; &quot;0xfe04b&quot;}} Using json iex&gt; json = %{&quot;name&quot; =&gt; &quot;Foo&quot;, &quot;owns&quot; =&gt; [%{&quot;name&quot; =&gt; &quot;Bar&quot;}]} Dlex.mutate(conn, json) {:ok, %{&quot;blank-0&quot; =&gt; &quot;0xfe04d&quot;, &quot;blank-1&quot; =&gt; &quot;0xfe04e&quot;}} iex&gt; Dlex.mutate(conn, json, return_json: true) {:ok, %{ &quot;name&quot; =&gt; &quot;Foo&quot;, &quot;owns&quot; =&gt; [%{&quot;name&quot; =&gt; &quot;Bar&quot;, &quot;uid&quot; =&gt; &quot;0xfe050&quot;}], &quot;uid&quot; =&gt; &quot;0xfe04f&quot; }}"},{"ref":"Dlex.html#mutate!/3","title":"Dlex.mutate!/3","type":"function","doc":"Runs a mutation and returns the result or raises Dlex.Error if there was an error. See mutate/3."},{"ref":"Dlex.html#query/4","title":"Dlex.query/4","type":"function","doc":"Send query to dgraph Example of usage iex&gt; query = &quot; query foo($a: string) { foo(func: eq(name, $a)) { uid expand(_all_) } } &quot; iex&gt; Dlex.query(conn, query, %{&quot;$a&quot; =&gt; &quot;Foo&quot;}) {:ok, %{&quot;foo&quot; =&gt; [%{&quot;name&quot; =&gt; &quot;Foo&quot;, &quot;uid&quot; =&gt; &quot;0xfe04d&quot;}]}}"},{"ref":"Dlex.html#query!/4","title":"Dlex.query!/4","type":"function","doc":"Runs a query and returns the result or raises Dlex.Error if there was an error. See query/3."},{"ref":"Dlex.html#query_schema/1","title":"Dlex.query_schema/1","type":"function","doc":"Query schema of dgraph"},{"ref":"Dlex.html#start_link/1","title":"Dlex.start_link/1","type":"function","doc":"Start dgraph connection process. Options :hostname - Server hostname (default: DGRAPH_HOST, than localhost) :port - Server port (default: DGRAPH_PORT env var, then 3306) :keepalive - Keepalive option for http client (default: :infinity) :json_library - Specifies json library to use (default: Jason) :timeout - Request timeout in milliseconds (default: 15000); SSL/TLS configuration (automaticly enabled, if required files provided) :cacertfile - Path to your CA certificate. Should be provided for SSL authentication :certfile - Path to client certificate. Should be additionally provided for TSL authentication :keyfile - Path to client key. Should be additionally provided for TSL authentication DBConnection options :backoff_min - The minimum backoff interval (default: 1_000) :backoff_max - The maximum backoff interval (default: 30_000) :backoff_type - The backoff strategy, :stop for no backoff and to stop, :exp for exponential, :rand for random and :rand_exp for random exponential (default: :rand_exp) :name - A name to register the started process (see the :name option in GenServer.start_link/3) :pool - Chooses the pool to be started :pool_size - Chooses the size of the pool :queue_target in microseconds, defaults to 50 :queue_interval in microseconds, defaults to 1000 Example of usage iex&gt; {:ok, conn} = Dlex.start_link() {:ok, #PID&lt;0.216.0&gt;}"},{"ref":"Dlex.html#transaction/3","title":"Dlex.transaction/3","type":"function","doc":"Execute serie of queries and mutations in a transactions"},{"ref":"Dlex.html#t:conn/0","title":"Dlex.conn/0","type":"type","doc":""},{"ref":"Dlex.html#t:uid/0","title":"Dlex.uid/0","type":"type","doc":""},{"ref":"Dlex.Error.html","title":"Dlex.Error","type":"exception","doc":"Dgraph or connection error are wrapped in Dlex.Error."},{"ref":"Dlex.Error.html#t:t/0","title":"Dlex.Error.t/0","type":"type","doc":""}]